<!doctype html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport"
        content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>An Example PWA</title>
  <link href="https://fonts.googleapis.com/css?family=Raleway:400,700" rel="stylesheet">
    <link rel="manifest" href="/manifest.json">
    <link rel="stylesheet" href="/src/css/app.css">

</head>
<body>
<header class="main-header">
  <h1>Khadi's PWA</h1>
  
</header>
<p><a href="/index.html"> Home </a></p>
<h2>Device Position and Touch gestures</h2>
<!---Device -->
<body onload="init()">
    <div id="ball"></div>
  <script>
if ( !window.requestAnimationFrame ) {
 
 window.requestAnimationFrame = ( function() {

     return window.webkitRequestAnimationFrame ||
     window.mozRequestAnimationFrame ||
     window.oRequestAnimationFrame ||
     window.msRequestAnimationFrame ||
     function( /* function FrameRequestCallback */ callback, /* DOMElement Element */ element ) {

         window.setTimeout( callback, 1000 / 60 );

     };

 } )();

}



var ball;
var w;
var h;

function init()
{
 ball = document.getElementById("ball");
  w = window.innerWidth;
  h = window.innerHeight;
 
 ball.style.left = (w/2)-50+"px";
 ball.style.top = (h/2)-50+"px";
 ball.velocity = {x:0,y:0}
 ball.position = {x:0,y:0}
 
 if (window.DeviceOrientationEvent) {
     
     window.addEventListener("deviceorientation", function(event) 
     {
         ball.velocity.y = Math.round(event.beta);
         ball.velocity.x = Math.round(event.gamma);
     }
                            )
 }
 else {
   alert("Sorry, your browser doesn't support Device Orientation");
 } ;
 
 update();
}

function update()
{
     ball.position.x += ball.velocity.x;
     ball.position.y += ball.velocity.y;
     
     if(ball.position.x > (w-100) && ball.velocity.x > 0)
         {
            ball.position.x = w-100;
         }
         
         if(ball.position.x < 0 && ball.velocity.x < 0)
         {
             ball.position.x = 0;
         }
         
         if(ball.position.y > (h-100) && ball.velocity.y > 0)
         {
            ball.position.y = h-100;
         }
         
         if(ball.position.y < 0 && ball.velocity.y < 0)
         {
            ball.position.y = 0;
         }
 
 ball.style.top = ball.position.y + "px"
     ball.style.left = ball.position.x + "px"
 
 requestAnimationFrame( update );//KEEP ANIMATING
}
  </script>
<!---Device end-->

<!---Touch gestures-->
<section>
     <div>  
      <div class="test-element"></div>
    <div class="test-element"></div>
    <div class="test-element"></div>
</div>
    <p><small>Based on demo from <a href="https://www.quirksmode.org/m/tests/drag2.html">QuirksMode.org</a>.</small></p>
    
    
    </section>
    <script>
     function startDrag(e) {
      this.ontouchmove = this.onmspointermove = moveDrag;
    
      this.ontouchend = this.onmspointerup = function () {
        this.ontouchmove = this.onmspointermove = null;
        this.ontouchend = this.onmspointerup = null;
      }
    
      var pos = [this.offsetLeft, this.offsetTop];
      var that = this;
      var origin = getCoors(e);
    
      function moveDrag(e) {
        var currentPos = getCoors(e);
        var deltaX = currentPos[0] - origin[0];
        var deltaY = currentPos[1] - origin[1];
        this.style.left = (pos[0] + deltaX) + 'px';
        this.style.top = (pos[1] + deltaY) + 'px';
        return false; // cancels scrolling
      }
    
      function getCoors(e) {
        var coors = [];
        if (e.targetTouches && e.targetTouches.length) {
          var thisTouch = e.targetTouches[0];
          coors[0] = thisTouch.clientX;
          coors[1] = thisTouch.clientY;
        } else {
          coors[0] = e.clientX;
          coors[1] = e.clientY;
        }
        return coors;
      }
    }
    
    var elements = document.querySelectorAll('.test-element');
    [].forEach.call(elements, function (element) {
      element.ontouchstart = element.onmspointerdown = startDrag;
    });
    
    document.ongesturechange = function () {
      return false;
    }
    
    </script>
    
<!---Touch gestures end--->

</body>
</html>
